## preludedb-path-selection

preludedb-path-selection

## Synopsis

    enum                preludedb_selected_path_flags_t;
    typedef             preludedb_path_selection_t;
    typedef             preludedb_selected_path_t;
    int                 preludedb_selected_path_new         (preludedb_selected_path_t **selected_path,
                                                             idmef_path_t *path,
                                                             int flags);
    int                 preludedb_selected_path_new_string  (preludedb_selected_path_t **selected_path,
                                                             const char *str);
    void                preludedb_selected_path_destroy     (preludedb_selected_path_t *selected_path);
    idmef_path_t *      preludedb_selected_path_get_path    (preludedb_selected_path_t *selected_path);
    preludedb_selected_path_flags_t  preludedb_selected_path_get_flags
                                                            (preludedb_selected_path_t *selected_path);
    int                 preludedb_path_selection_new        (preludedb_path_selection_t **path_selection);
    void                preludedb_path_selection_destroy    (preludedb_path_selection_t *path_selection);
    void                preludedb_path_selection_add        (preludedb_path_selection_t *path_selection,
                                                             preludedb_selected_path_t *selected_path);
    preludedb_selected_path_t * preludedb_path_selection_get_next
                                                            (preludedb_path_selection_t *path_selection,
                                                             preludedb_selected_path_t *selected_path);
    size_t              preludedb_path_selection_get_count  (preludedb_path_selection_t *path_selection);

## Description

## Details

### enum preludedb_selected_path_flags_t

    typedef enum {
    	PRELUDEDB_SELECTED_OBJECT_FUNCTION_MIN = 0x01,
    	PRELUDEDB_SELECTED_OBJECT_FUNCTION_MAX = 0x02,
    	PRELUDEDB_SELECTED_OBJECT_FUNCTION_AVG = 0x04,
    	PRELUDEDB_SELECTED_OBJECT_FUNCTION_STD = 0x08,
    	PRELUDEDB_SELECTED_OBJECT_FUNCTION_COUNT = 0x10,

    	PRELUDEDB_SELECTED_OBJECT_GROUP_BY = 0x20,

    	PRELUDEDB_SELECTED_OBJECT_ORDER_ASC = 0x40,
    	PRELUDEDB_SELECTED_OBJECT_ORDER_DESC = 0x80
    } preludedb_selected_path_flags_t;

### preludedb_path_selection_t

    typedef struct preludedb_path_selection preludedb_path_selection_t;

### preludedb_selected_path_t

    typedef struct preludedb_selected_path preludedb_selected_path_t;

### preludedb_selected_path_new ()

    int                 preludedb_selected_path_new         (preludedb_selected_path_t **selected_path,
                                                             idmef_path_t *path,
                                                             int flags);

`selected_path` : |
`path` : |
`flags` : |
Returns : |

### preludedb_selected_path_new_string ()

    int                 preludedb_selected_path_new_string  (preludedb_selected_path_t **selected_path,
                                                             const char *str);

`selected_path` : |
`str` : |
Returns : |

### preludedb_selected_path_destroy ()

    void                preludedb_selected_path_destroy     (preludedb_selected_path_t *selected_path);

`selected_path` : |

### preludedb_selected_path_get_path ()

    idmef_path_t *      preludedb_selected_path_get_path    (preludedb_selected_path_t *selected_path);

`selected_path` : |
Returns : |

### preludedb_selected_path_get_flags ()

    preludedb_selected_path_flags_t  preludedb_selected_path_get_flags
                                                            (preludedb_selected_path_t *selected_path);

`selected_path` : |
Returns : |

### preludedb_path_selection_new ()

    int                 preludedb_path_selection_new        (preludedb_path_selection_t **path_selection);

`path_selection` : |
Returns : |

### preludedb_path_selection_destroy ()

    void                preludedb_path_selection_destroy    (preludedb_path_selection_t *path_selection);

`path_selection` : |

### preludedb_path_selection_add ()

    void                preludedb_path_selection_add        (preludedb_path_selection_t *path_selection,
                                                             preludedb_selected_path_t *selected_path);

`path_selection` : |
`selected_path` : |

### preludedb_path_selection_get_next ()

    preludedb_selected_path_t * preludedb_path_selection_get_next
                                                            (preludedb_path_selection_t *path_selection,
                                                             preludedb_selected_path_t *selected_path);

`path_selection` : |
`selected_path` : |
Returns : |

### preludedb_path_selection_get_count ()

    size_t              preludedb_path_selection_get_count  (preludedb_path_selection_t *path_selection);

`path_selection` : |
Returns : |